/*----- CENTRAR FORMULARIO DE LOGIN -----*/
.container-login {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    
    /*background-image: radial-gradient(circle at 82% 60%, rgba(59, 59, 59,0.06) 0%, rgba(59, 59, 59,0.06) 69%,transparent 69%, transparent 100%),radial-gradient(circle at 36% 0%, rgba(185, 185, 185,0.06) 0%, rgba(185, 185, 185,0.06) 59%,transparent 59%, transparent 100%),radial-gradient(circle at 58% 82%, rgba(183, 183, 183,0.06) 0%, rgba(183, 183, 183,0.06) 17%,transparent 17%, transparent 100%),radial-gradient(circle at 71% 32%, rgba(19, 19, 19,0.06) 0%, rgba(19, 19, 19,0.06) 40%,transparent 40%, transparent 100%),radial-gradient(circle at 77% 5%, rgba(31, 31, 31,0.06) 0%, rgba(31, 31, 31,0.06) 52%,transparent 52%, transparent 100%),radial-gradient(circle at 96% 80%, rgba(11, 11, 11,0.06) 0%, rgba(11, 11, 11,0.06) 73%,transparent 73%, transparent 100%),radial-gradient(circle at 91% 59%, rgba(252, 252, 252,0.06) 0%, rgba(252, 252, 252,0.06) 44%,transparent 44%, transparent 100%),radial-gradient(circle at 52% 82%, rgba(223, 223, 223,0.06) 0%, rgba(223, 223, 223,0.06) 87%,transparent 87%, transparent 100%),radial-gradient(circle at 84% 89%, rgba(160, 160, 160,0.06) 0%, rgba(160, 160, 160,0.06) 57%,transparent 57%, transparent 100%),linear-gradient(90deg, rgb(46, 75, 248),rgb(166, 255, 237));
    */
    /*background-image: radial-gradient(circle at 77% 26%, rgba(175, 175, 175,0.06) 0%, rgba(175, 175, 175,0.06) 4%,transparent 4%, transparent 100%),radial-gradient(circle at 37% 90%, rgba(129, 129, 129,0.06) 0%, rgba(129, 129, 129,0.06) 55%,transparent 55%, transparent 100%),radial-gradient(circle at 7% 92%, rgba(53, 53, 53,0.06) 0%, rgba(53, 53, 53,0.06) 39%,transparent 39%, transparent 100%),radial-gradient(circle at 65% 17%, rgba(128, 128, 128,0.06) 0%, rgba(128, 128, 128,0.06) 60%,transparent 60%, transparent 100%),radial-gradient(circle at 100% 39%, rgba(75, 75, 75,0.06) 0%, rgba(75, 75, 75,0.06) 20%,transparent 20%, transparent 100%),radial-gradient(circle at 92% 34%, rgba(205, 205, 205,0.06) 0%, rgba(205, 205, 205,0.06) 35%,transparent 35%, transparent 100%),radial-gradient(circle at 63% 90%, rgba(98, 98, 98,0.06) 0%, rgba(98, 98, 98,0.06) 62%,transparent 62%, transparent 100%),radial-gradient(circle at 93% 74%, rgba(130, 130, 130,0.06) 0%, rgba(130, 130, 130,0.06) 65%,transparent 65%, transparent 100%),linear-gradient(90deg, rgb(18, 233, 78),rgb(160, 239, 92));*/
    background-image: radial-gradient(circle at 62% 39%, rgba(30, 30, 30,0.05) 0%, rgba(30, 30, 30,0.05) 8%,transparent 8%, transparent 16%,transparent 16%, transparent 28%,transparent 28%, transparent 100%),radial-gradient(circle at 19% 61%, rgba(201, 201, 201,0.01) 0%, rgba(201, 201, 201,0.01) 59%,transparent 59%, transparent 60%,transparent 60%, transparent 99%,transparent 99%, transparent 100%),radial-gradient(circle at 15% 5%, rgba(186, 186, 186,0.05) 0%, rgba(186, 186, 186,0.05) 9%,transparent 9%, transparent 79%,transparent 79%, transparent 92%,transparent 92%, transparent 100%),radial-gradient(circle at 64% 49%, rgba(51, 51, 51,0.08) 0%, rgba(51, 51, 51,0.08) 22%,transparent 22%, transparent 50%,transparent 50%, transparent 96%,transparent 96%, transparent 100%),radial-gradient(circle at 53% 21%, rgba(0, 0, 0,0.04) 0%, rgba(0, 0, 0,0.04) 21%,transparent 21%, transparent 80%,transparent 80%, transparent 89%,transparent 89%, transparent 100%),radial-gradient(circle at 14% 91%, rgba(49, 49, 49,0.04) 0%, rgba(49, 49, 49,0.04) 35%,transparent 35%, transparent 63%,transparent 63%, transparent 71%,transparent 71%, transparent 100%),radial-gradient(circle at 42% 78%, rgba(64, 64, 64,0.02) 0%, rgba(64, 64, 64,0.02) 56%,transparent 56%, transparent 75%,transparent 75%, transparent 80%,transparent 80%, transparent 100%),radial-gradient(circle at 76% 85%, rgba(69, 69, 69,0.06) 0%, rgba(69, 69, 69,0.06) 53%,transparent 53%, transparent 68%,transparent 68%, transparent 97%,transparent 97%, transparent 100%),linear-gradient(90deg, rgb(161, 249, 143),rgb(127, 202, 77));
    background-color: #F4D03F;
}
.login-row {
    padding: 20px;
    border-radius: 10px;
    background: rgba(0, 0, 0, 0.1);
    border: 1px solid rgba(0, 0, 0, 0.2)
}
.login-title {
    font-size: 48px;
    font-weight: 700;
    font-family: 'Charm', cursive;

    background: #ff0000;
    background: -webkit-linear-gradient(to bottom, #ff0000, #0c0c0d);
    background: linear-gradient(to bottom, #ff0000, #0c0c0d);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;

}
.login-box {
    width: 100%;
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1)!important;
}

/*----- QUITAR PADDING-----*/
.content {
    padding-left: 5!important;
    padding-right: 5!important;
}
.card-body,
.card-footer {
    padding-left: 5px!important;
    padding-right: 5px!important;
    padding-top: 15px!important;
    padding-bottom: 8px!important;
}
.nav-link {
    padding-top: 6px!important;
    padding-bottom: 6px!important;
}
.nav-link i {
    font-size: 15px!important;
}
.nav-link p {
    font-size: 15px;
}
.nav-link-custom {
    display: flex;
    align-items: center;
    padding-top: 5px!important;
    padding-bottom: 5px!important;
    padding-left: 10px!important;
}

/*----- CUSTOM CLASE MODAL-----*/
.container-fluid-custom {
    padding-left: 0px!important;
    padding-right: 0px!important;
}

/*----- CUSTOM CLASE-----*/
.custom-user {
    font-size: 14px!important;
}
.custom-h3 {
    font-size: 22px!important;
}
.custom-bold {
    font-weight: bold;
}
.custom-font {
    font-size: 12px!important;
}
.custom-col {
    padding: 8px 0;
    border: 1px solid #868e96;
    border-radius: 5px;
    margin-top: 10px;
}
.height-custom {
    height: 28px;
    margin: 4px 0;
}
.custom-col-2 {
    border: 1px solid #868e96;
    border-radius: 5px;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 5px;
    margin-left: -5px;
    margin-right: -5px;
    margin-bottom: 10px;
    margin-top: -20px;
}
.custom-col-3 {
    border: 1px solid #868e96;
    border-radius: 5px;
    margin-bottom: 15px;
}
.custom-col-bottom {
    border: 1px solid #868e96;
    border-radius: 5px;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 5px;
    margin-left: -5px;
    margin-right: -5px;

    margin-top: 10px;
    /* margin-bottom: 10px;
     */
}
.widgetUserHeader {
    background: rgb(232,235,230);
    background: linear-gradient(0deg, rgba(232,235,230,1) 0%, rgba(255,189,31,0.9472163865546218) 100%);
}
.custom-header {
    padding-top: 6px!important;
    padding-bottom: 6px!important;
    background: #5c7cfa!important;
}
.custom-close {
    border: none;
    outline: none!important;
}
.card-header-custom {
    margin-top: -5px;
    padding: 5px 5px;
    border-bottom: 1px solid rgba(0,0,0,.125);
}
.card-footer-custom {
    padding: 7px 5px 0px 5px;
    border-top: 1px solid rgba(0,0,0,.125);
}
.card-footer-custom-bg {
    padding: 7px 5px;
    background: #e9ecef;
}
.input-custom {
    padding: 0px 2px 0px 2px !important;
    font-size: 14px!important;
}
.label-custom {
    font-size: 14px!important;
}
.button-custom {
    padding: 0px 5px;
    font-size: 14px!important;
}
.button-custom i {
    font-size: 14px!important;
}
.display-custom {
    display: none;
}
.font-size-14 {
    font-size: 14px;
    padding: 5px;
}
.input-control {
    display: block;
    width: 100%;
    height: 25px;
    color: #495057;
    background-color: #fff;
    outline: none;
    border: none;
    padding: 0 4px;
    border-bottom: 1px solid #ced4da;
    font-size: 15px;
}
.input-control:focus {
    border-bottom: 1px solid #007bff;
}
.border-top {
    border-top: 1px solid #868e96;
}

/*tabla content search*/
.contentSearch {
    margin-top: -14px;
    padding: 0;
}
.tableContentSearch {
    position: absolute;
    list-style: none;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    padding: 0;
    padding: 5px 0;
    border: 1px solid #ced4da;
    background-color: #fff;
    box-shadow: 0px 8px 15px -8px rgba(52,152,219,0.2);
    border-radius: 5px;
    z-index: 999;
    display: none;
}
.tableContentSearch li {
    width: 100%;
}
.tableContentSearch li a {
    display: flex;
    text-decoration: none;
    padding: 5px 10px;
    color: #000;
    font-weight: 600;
    font-size: 16px;
    cursor: pointer;
}
.tableContentSearch li:hover {
    background-color: rgba(52,152,219,0.2);
}
.tableContentSearch li a:focus {
    background-color: rgba(52,152,219,0.2);
    color: #00008B;
    border: none;
    outline: none;
}
.tableContentSearch li:hover a {
    color: #00008B;
}

/*tabla cuota*/
.nroCuotaCustom,
.fechaCuotaCustom,
.montoCuotaCustom {
    margin: 0px!important;
    padding: 0px!important;
}
.nroCuotaCustom .nroCuotas,
.fechaCuotaCustom .fechaCuotas,
.montoCuotaCustom .montoCuotas {
    font-size: 14px!important;
    border: none;
    outline: none;
}
.fechaCuotaCustom .fechaCuotas:focus,
.montoCuotaCustom .montoCuotas:focus {
    border: none;
    outline: none;
}

/* .custom-container {
    padding-left: 0!important;
    padding-right: 0!important;
} */

/*----- OCULTAR COLUMNA TABLA-----*/
/* .tablaClientes thead tr th:nth-child(8),
.tablaClientes tbody tr td:nth-child(8){
    display: none;
} */

/*----- FORMATO TABLA-----*/
.tabla-font-size tr th,
.tabla-font-size tr td {
    font-size: 15px;
}
.tablaCustom tr th,
.tablaCompras tr th,
.tablaVentas tr th,
.tablaClientes tr th,
.tablaArticulos tr th,
.tablas thead tr th {
    font-size: 15px;
}
.tablaCustom tr td,
.tablaCompras tr td,
.tablaVentas tr td,
.tablaClientes tr td,
.tablaArticulos tr td,
.tablas tbody tr td {
    font-size: 15px;
}

#tablaLiquiAdelantos tr td:nth-child(6),
.tablaCompras tbody tr td:nth-child(7),
.tablaCompras tbody tr td:nth-child(8),
.tablaVentas tbody tr td:nth-child(8),
.tablaVentas tbody tr td:nth-child(9),
.tablaClientes tbody tr td:nth-child(6),
.tablaClientes tbody tr td:nth-child(7),
.tablaArticulos tbody tr td:nth-child(7),
.tablaArticulos tbody tr td:nth-child(8),
.tablaArticulos tbody tr td:nth-child(9) {
    text-align: center!important;
}
.select-font-size {
    font-size: 15px!important;
}
.select-picker-font {
    font-size: 17px!important;
}
.select-picker-font .dropdown-toggle {
    padding: 0.65rem 0.5rem!important;
}
.form-group label {
    margin-bottom: 0!important;
}
.select2-results__option {
    font-size: 15px!important;
}
.separar-btn {
    margin-right: 4px;
}
.display-none {
    display: none;
}
.text-center-input {
    text-align: center;
    font-weight: bold;
}

.placeholderRed::placeholder {
    color: red!important;
}.placeholderRed {
    border: 1px solid red!important;
}

/*----- ICONOS DE AGREGAR-----*/
/* .recuperarBoton:before {
    content: "Agregado";
}
.agregarArticulo:before {
    content: "Agregar";
} */

/*----- CAMPO DESACTIVADO-----*/
.disabled {
    pointer-events: none;
    cursor: not-allowed;
    background: #e9ecef;
}
.disabled-blanco {
    pointer-events: none;
    background: transparent;
}
.disabled-btn {
    pointer-events: none;
    cursor: not-allowed;
}
.enabled {
    pointer-events: auto!important;
    cursor: default!important;
    background-color: #007bff;
    border-color: #007bff;
}
.img-thumbnail {
    margin-top: 10px!important;
    margin-bottom: -15px!important;
}

/*----- CALCULAR MARGEN-----*/
.margen-alert {
    margin-top: -10px!important;
    margin-bottom: 0px!important;
    padding: 5px!important;
    font-size: 14px;
    font-weight: 700;
    display: none;
}
.margen-alert .inputPrecioMargen {
    color: red;
    font-size: 14px;
    font-weight: 700;
    border: none;
    outline: none;
    background: none;
    width: 50%;
}  

/*----- TABLAS DETALLES -----*/
.tablaDetalleOperacion thead tr {
    background: #74c0fc;
}
.ingresoImagen {
    padding-left: 2px!important; 
    padding-right: 2px!important;
}
.imagenArticulo {
    width: 40px;
    height: 40px;
    object-fit: contain;
    cursor: pointer;
}
.ingresoArticulo {
    width: 35%;
}
.ingresoCuota {
    width: 10%;
}
.ingresoCuota select {
    font-size: 14px;
    padding: 0 2px!important;
}
.ingresoPrecio {
    width: 15%;
}
.ingresoArticulo,
.ingresoPrecio,
.ingresoCuota,
.ingresoCantidad,
.ingresoDescuento,
.ingresoSubtotal,
.ingresoQuitarArticulo {
    padding-left: 1px!important; 
    padding-right: 1px!important;
}
.nuevoCuotaArticulo{
    padding-left: 2px!important; 
    padding-right: 2px!important;
}
.nuevaCantidadArticulo {
    text-align: center;
}

.tablaTotalCustom {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.tdNuevoTotal {
    width: 60%;
}
.tdNuevoTotal input {
    font-size: 18px;
    font-weight: 700;
    color: red;
}
.tdLabelTotal {
    width: 40%;
    text-align: right;
}
.tdLabelTotal label {
    display: block;
    margin-bottom: -2px;
}

/*----- TABLAS PREMISO USUARIO -----*/
#tablaDatosPermisoUsuario tbody tr td:nth-child(3),
#tablaDatosPermisoUsuario tbody tr td:nth-child(4)  {
    text-align: center;
}
#tablaDatosPermisoUsuario tbody tr td:nth-child(5){
    display: none;
}

/*----- LISTA PRECIO CREDITO -----*/
.border-custom {
    border: 1px solid #dee2e6;
    padding: 5px;
    border-radius: 5px;
}
.articulo-parrafo {
    width: 82%;
}
.articulo-parrafo p {
    margin-bottom: 2px;
    font-size: 14px;
    color: #343a40;
}
.list-group-custom {
    list-style: none;
    padding: 0;
}
.list-item-custom {
    padding: 0px;
    font-size: 15px;
}
.list-item-custom span {
    font-size: 15px;
    color: #212529;
    font-weight: bolder;
    letter-spacing: -0.6px;
    cursor: pointer;
}
.articulo-img {
    position: absolute;
    top: 5px;
    right: 5px;
    user-select: none;
}
.articulo-img a {
    text-decoration: none;
    border-radius: 5px;
}
.articulo-img a img {
    width: 68px;
    height: 68px;
    border: 1px solid #dee2e6;
    border-radius: 5px;
}

/*----- LOADING AJAX-----*/
.spinner {
    display: block;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    border: 3px solid;
    border-color: #dbdcef;
    border-right-color: #474bff;
    animation: spinner-d3wgkg 1s infinite linear;
    margin: 0 10px;
}

/*----- NRO FACTURA -----*/
.textoNroComprobante {
    width: 160px;
    border: none;
    border-radius: 3px;
    padding: 0 4px;
    color: #1A237E;
    outline: 1px solid #ced4da;
}
.textoNroComprobante:focus{
    outline: 1px solid #80bdff;
    box-shadow: inset 0 0 0 transparent;
}
 
 
@keyframes spinner-d3wgkg {
to {
    transform: rotate(1turn);
}
}

/*-------------MEDIA QUERY-------------*/
@media screen and (max-width: 800px){
 
}
@media screen and (max-width: 640px) {

    .tablaTotalCustom {
        width: 100%!important;
    }
    .tdNuevoTotalVenta {
        width: 50%;
    }
    .tdLabelTotalVenta {
        width: 50%;
    }

}
@media screen and (max-width: 480px) {
   
}
@media screen and (max-width: 480px) {
  
}



/*estilo para recibo png*/

#ticket {
    padding: 25px;
    background-image: linear-gradient(to right bottom, #a8eb12, #5eee7d, #23eabc, #58dfab, #9ad1df);
}

#name-emp{
    letter-spacing: 3px;
    text-shadow: 0px -130px 1px rgba(255, 255, 255, 0.95),
    -150px 128px 1px rgba(0,0,0,0.05),150px 128px 1px rgba(0,0,0,0.05),
    -120px 490px 1px rgba(0,0,0,0.05),120px 490px 1px rgba(0,0,0,0.05);
}
#pie-empresa{
    text-shadow:-250px 55px 1px rgba(0,0,0,0.04),70px 55px 1px rgba(0,0,0,0.04);
}

#total-cob{
    font-size: 18px;
    text-transform: uppercase;
    margin: 10px 0 10px 0;
    
}
.encabezado-png {
    padding: 10px 15px 10px 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border-bottom:1px dashed #4e4d4d;
}
.encabezado-png h1,h2,h3 {
            margin: 0;
            font-size: 13px;
            font-weight: bold;
        }
.encabezado-png h4 {
            margin: 0;
            font-size: 10px;
            font-weight: bolds;
        }
#ticket p{
    font-size: 12px;
    margin: 2px;
}

#ticket .detalle {
    padding: 10px 15px 10px 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    /*border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;*/
    margin-bottom: 3px;
}

#ticket .tab {
    width: 100%;
    font-size: 11px;
    text-align: center;
    border-collapse: separate;
    border-spacing: 5px 5px;
}

#cliente-png {
    font-size: 13px;
    margin-bottom: 5px;
    text-align: center;
}

#usu-atend{
    font-size: 10px;
}
#papel{
    background-color: #ffffff;
    margin-top: 20px;
    /*background-image: radial-gradient(circle at center, #5aee81 4px, transparent 4px), radial-gradient(circle at center, #4ae2af 4px, transparent 4px);
    background-size: 16px 14px;
    background-position: center -6px, center calc(100% + 6px);
    background-repeat: repeat-x;*/
    border-top:6px dotted #63ee76   ;   
    border-bottom:6px dotted #4de1af;
    font-weight: bold;
}
#code-rec{
    letter-spacing: 2px;font-size: 7px;
}
/*estilo para recibo png*/

/*estilo tabla*/

/*alineacion de datos y encabezado de datatable*/
.rightClassAlign {
    text-align: right;
}
.centerClassAlign {
    text-align: center;
}

/*Efecto Loading...*/
.loading {
    font-size: 12px;
    font-weight: bold;
}

.dots::after {
    content: '';
    display: inline-block;
    width: 1em;
    text-align: left;
    animation: dots 1s steps(4, end) infinite;
}

@keyframes dots {
    0%, 20% {
        content: '';
    }
    40% {
        content: '.';
    }
    60% {
        content: '..';
    }
    80%, 100% {
        content: '...';
    }
}
/*Efecto Loading...*/

#form-nc input{
    cursor: pointer !important;
}

/*card antiguedad de saldo*/
.detail-card {
    background-color: #f9f9f9; 
    border: 1px solid #ddd; 
    transition: box-shadow 0.3s ease; 
}

.detail-card:hover {
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.15); 
}

.detail-card i {
    font-size: 24px; 
    color: #6c757d; 
}

.detail-card p {
    font-size: 14px; 
    margin: 0;
}

.text-muted {
    color: #6c757d; 
}

.text-dark {
    color: #333; 
}

.font-weight-bold {
    font-weight: bold;
}

/*card antiguedad de saldo*/

.custom-icon-a{
    font-size: 18px !important;

}

/*apariencia de titulos en progreso de objetivos*/
.title-section {
    font-weight: bold;
    font-size: 20px;
    color: #8e9299; 
    display: flex;
    justify-content: center;
    align-items: center;
}

.title-section i {
    font-size: 24px; 
    color: #b2b9c0; 
}

.title-text {
    font-family: 'Roboto', sans-serif; 
    letter-spacing: 1px; 
}

.title-section:hover {
    color: #000; 
    cursor: pointer;
}

/* // */
.tablaObjCustom tr th {
    font-size: 15px;
    padding: 5px;
}
.tablaObjCustom tr td {
    font-size: 15px;
    padding: 5px;
}

/*apariencia de titulos en progreso de objetivos*/
.detail-card {
    background-color: #f9f9f9; 
    border: 1px solid #ddd; 
    transition: box-shadow 0.3s ease; 
}

.detail-card:hover {
    cursor: pointer;
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.15) !important; 
}

.detail-card i {
    font-size: 24px; 
    color: #6c757d; 
}

/*apariencia de cards en progreso de objetivos*/
.card-level-shadow:hover {
    cursor: pointer; 
    box-shadow: 0px 6px 12px rgba(0, 0, 0, 0.363); 
    transition: box-shadow 0.3s ease;
    background-color: #fff !important;
}

/* Responsiveness for chart */
.chart-container {
    position: relative;
    height: 400px;
    width: 100%;
}

/*margen y color de icono*/
.icon-fa {
    color: #618086;
    margin-right: 5px;
}

.text-bold {
    font-weight: 800;
}

.label-knob {
    font-size: 17px;
    color: #284366;
    font-weight: 600;
    margin-bottom: 3px;
    margin-top: 3px;
}

.bg-pink {
    background-color: #d81b60 !important;
}

.bg-purple {
    background-color: #8e24aa !important;
}

.bg-deep-purple {
    background-color: #673ab7 !important;
}

.bg-teal {
    background-color: #17b892 !important;
}

.bg-teal-light{
    background-color: #6be3ad !important;
}
.bg-orange {
    background-color: #ff5722 !important;
}

.bg-violet {
    background-color: #7e57c2 !important;
}
.bg-danger-light {
    background-color: #e57373 !important;
}

.bg-danger-lightest {
    background-color: #ffcdd2 !important;
}

.bg-honey-yellow{
    background-color: #f7dc6f;
}
/*apariencia de cards en progreso de objetivos*/

/* Antiguedad Saldo */
.table-hover-custom td:hover {
    background-color: #fbc55142 !important;
    color: #1b2832 !important;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    transform: translateY(-1px);
    z-index: 1;
    cursor: pointer;
}

.table-hover-custom tr:hover {
    background-color: #fbe15141 !important;
    color: #1b2832 !important;
}

.v-align{
    vertical-align:middle !important;
}

/*new custom background */
.bg-c-orange{
    background: linear-gradient(to right, #fe9365, #feb798);
    color:#ffffff;
}

.bg-c-green{
    background: linear-gradient(to right, #0ac282, #0df3a3);
    color:#ffffff;
}

.bg-c-pink{
    background: linear-gradient(to right, #fe5d70, #fe909d);
    color:#ffffff;
}

.bg-c-lightblue{
    background: linear-gradient(to right, #01a9ac, #01dbdf);
    color:#ffffff;
}

.bg-c-blue{
    background: linear-gradient(to left, #3a7bd5, #3a6073);
    color:#ffffff;
}

.bg-c-purple{
    background: linear-gradient(to left, #8e44ad, #c39bd3);
    color:#ffffff;
}

.bg-c-yellow{
    background: linear-gradient(to left, #f4d03f, #f5b041);
    color:#ffffff;
}

.bg-c-red{
    background: linear-gradient(to left, #e74c3c, #e67e22);
    color:#ffffff;
}

/*=======================*/
.fz-14 {
    font-size: 14px;
}
.fz-12 {
    font-size: 13px;
}

.totalACobrarCuota {
    font-size: 16px;
    color: red;
}

.inputEditCustom {
    padding: 2px!important;
}
:is(.inputEditCustom input) {
    border: none;
    outline: none;
    font-size: 13px;
    padding: 2px;
}
.inputEditCustom :is(.nro-cuota, .dia-retraso){
    width: 40px;
}
.inputEditCustom :is(.fecha-vence-cuota){
    width: 75px;
    font-size: 12px;
}

.inputEditCustom :is(.importe-cuota){
    width: 80px;
}

:is(.inputEditCustom  input):focus {
    border: 1px solid #80bdff;
    outline: none;
}
.inputEditCustom .editInput {
    border: 1px solid #80bdff;
}

.spanAgregarReciboAuto {
    border-radius: 0 3px 3px 0!important;
}
.spanAgregarReciboAuto::before {
    content: attr(data-placeholder);
    color: #999;
}

.ref-cheque:hover {
    color: #007bff;
    font-weight: 800;
    cursor: pointer;
}

/*apariencia para extracto de cliente*/
.thead-fijo th {
    position: sticky;
    top: 0;
    /*background: #ffc107;*/
    background: #ffffff;
    z-index: 1;
    border-bottom: 1px solid #dee2e6;
    padding: 8px;
}

.tabla-scroll {
    max-height: 300px;
    overflow-y: auto;
}

.cursor-pointer {
    cursor: pointer;

}

.cursor-pointer:hover {
    color: #007bff;
}

.card-shadow {
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
}

/*apariencia para extracto de cliente*/


